Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
evaluations = client.dataframer.runs.evaluations.list(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(evaluations)curl https://df-api.dataframer.ai/api/dataframer/runs/$RUN_ID/evaluations/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"[
{
"id": "f4e64db3-3cac-4706-9fd0-c6695ae4694a",
"run_id": "a98715da-921d-4326-bbf8-208f8bcc2956",
"status": "SUCCEEDED",
"completed_at": "2025-01-15T10:31:00Z",
"created_by_email": "user@example.com",
"created_at": "2025-01-15T10:30:00Z"
},
{
"id": "024319ff-7534-4f26-ba80-e540af493863",
"run_id": "a98715da-921d-4326-bbf8-208f8bcc2956",
"status": "PENDING",
"completed_at": null,
"created_by_email": "user@example.com",
"created_at": "2025-01-15T11:00:00Z"
}
]Evaluations
List evaluations for a run
Retrieve all evaluations for a specific run
GET
/
api
/
dataframer
/
runs
/
{run_id}
/
evaluations
/
Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
evaluations = client.dataframer.runs.evaluations.list(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(evaluations)curl https://df-api.dataframer.ai/api/dataframer/runs/$RUN_ID/evaluations/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"[
{
"id": "f4e64db3-3cac-4706-9fd0-c6695ae4694a",
"run_id": "a98715da-921d-4326-bbf8-208f8bcc2956",
"status": "SUCCEEDED",
"completed_at": "2025-01-15T10:31:00Z",
"created_by_email": "user@example.com",
"created_at": "2025-01-15T10:30:00Z"
},
{
"id": "024319ff-7534-4f26-ba80-e540af493863",
"run_id": "a98715da-921d-4326-bbf8-208f8bcc2956",
"status": "PENDING",
"completed_at": null,
"created_by_email": "user@example.com",
"created_at": "2025-01-15T11:00:00Z"
}
]Returns a summary list of evaluations. Use Get evaluation to retrieve full details including distribution analysis and sample classifications.
Authorizations
API Key authentication. Format: "Bearer YOUR_API_KEY"
Path Parameters
Unique identifier of the run to evaluate
Response
List of evaluations for the run
Unique identifier for the evaluation
ID of the run being evaluated
Current status of the evaluation
Available options:
PENDING, PROCESSING, SUCCEEDED, FAILED When evaluation completed
Email of the user who created the evaluation
When the evaluation was created

